aboutsummaryrefslogtreecommitdiffstats
path: root/remind.sh
diff options
context:
space:
mode:
authorMatthew Lemon <chaffinach+git@protonmail.ch>2022-04-22 14:53:17 +0100
committerMatthew Lemon <chaffinach+git@protonmail.ch>2022-04-22 14:53:17 +0100
commitff837c754444d5be95d2b667510ffa78eace2d41 (patch)
tree42d0407783fb428b8524294a2297258323314199 /remind.sh
parent407408b1691a665f1432a13c89b9abd7b55feb6b (diff)
updated with new task script
Diffstat (limited to '')
-rw-r--r--remind.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/remind.sh b/remind.sh
new file mode 100644
index 0000000..4d478f0
--- /dev/null
+++ b/remind.sh
@@ -0,0 +1,31 @@
+#!/bin/sh -e
+
+# to echo from stdin
+#stdin=$(cat)
+
+# if [ -z $stdin ] ; then
+# echo "No stdin set"
+# fi
+
+# echo $stdin
+
+# DESCRIPTION=$1
+# echo $DESCRIPTION
+
+if [[ "$#" < 3 ]] ; then
+ echo "You need to give me more parameters"
+fi
+
+PARAMS=$@
+echo $@
+
+if [[ -z "${TW_HOOK_REMIND_REMOTE_HOST}" ]] ; then
+ echo "There is not TW_HOOK_REMIND_REMOTE_HOST variable set."
+ exit 1;
+else
+ echo "TW_HOOK_REMIND_REMOTE_HOST set"
+fi
+
+ssh $TW_HOOK_REMIND_REMOTE_HOST '
+cat ~/.reminders/work.rem
+'